<!DOCTYPE html>
<html lang="cs">

<head>
    <title>Expedice Spolu</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
        integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="data/data.js"></script>
    <script src="https://unpkg.com/vue@3.0.5/dist/vue.global.js"></script>
</head>

<body id="app">
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container">
            <a class="navbar-brand mr-auto" href="#">{{ data.date }}</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#About" v-if="data.about">O akci</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Program" v-if="data.program">Program</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Organization" v-if="data.organization">Organizace</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Equipment" v-if="data.equipment">S sebou</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Map" v-if="data.map">Mapa</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Contact">Kontakt</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="jumbotron text-center" id="header" v-bind:style="{ 'background-image': 'url(' + data.image + ')' }" style="margin-bottom:0">
        <h1>{{ data.name }}</h1>
    </div>

    <div class="container container-margin">

        <span v-if="data.about">
            <div class="row no-gutters align-items-center" id="About" v-for="(section, index) in data.about">
                <div class="col-sm" v-if="index % 2 == 0">
                    <img v-bind:src="section.image" class="img-fluid rounded">
                </div>
                <div class="col-sm">
                    <div class="container">
                        <h2>{{ section.title }}</h2>
                        <p v-if="section.motto"><i>{{ section.motto }}</i></p>
                        <p>{{ section.text }}</p>
                    </div>
                </div>
                <div class="col-sm" v-if="index % 2 == 1">
                    <img v-bind:src="section.image" class="img-fluid rounded">
                </div>
            </div>
            <hr>
        </span>

        <span v-if="data.equipment">
            <div class="row" id="Program">
                <div class="col-sm">
                    <h4>Program</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3" v-for="day in data.program">
                    <h5>{{ day.title }}</h5>
                    <p>{{ day.description }}</p>
                    <iframe style="border:none" v-bind:src="day.map" width="100%" height="150px" frameborder="0"
                        v-if="day.map"></iframe>
                </div>
            </div>
            <hr>
        </span>

        <span v-if="data.organization">
            <div class="row align-items-center" id="Organization">
                <div class="col-sm">
                    <h4>Organizační informace</h4>
                </div>
            </div>
            <div class="row align-items-center">
                <div class="col-sm-1">
                    <i class='fas fa-calendar-alt fa-2x'></i>
                </div>
                <div class="col-sm">
                    <p v-if="!data.organization.date.link">{{ data.organization.date.title }}</p>
                    <a v-if="data.organization.date.link" v-bind:href="data.organization.date.link">{{
                        data.organization.date.title }}</a>
                </div>
                <div class="col-sm-1">
                    <i class='fas fa-car fa-2x'></i>
                </div>
                <div class="col-sm">
                    <p v-if="!data.organization.journey.link">{{ data.organization.journey.title }}</p>
                    <a v-if="data.organization.journey.link" v-bind:href="data.organization.journey.link">{{
                        data.organization.journey.title }}</a>
                </div>
                <div class="col-sm-1">
                    <i class='fas fa-euro-sign fa-2x'></i>
                </div>
                <div class="col-sm">
                    <p v-if="!data.organization.price.link">{{ data.organization.price.title }}</p>
                    <a v-if="data.organization.price.link" v-bind:href="data.organization.price.link">{{
                        data.organization.price.title }}</a>
                </div>
            </div>
            <hr>
        </span>

        <span v-if="data.equipment">
            <div class="row align-items-center" id="Equipment">
                <div class="col-sm">
                    <h4>S sebou</h4>
                </div>
            </div>
            <form>
                <div class="form-row">
                    <div class="col-sm">
                        <div class="form-check"
                            v-for="item in data.equipment.slice(0, Math.ceil(data.equipment.length / 2))">
                            <input class="form-check-input" type="checkbox" value="">
                            <label class="form-check-label">{{ item }}</label>
                        </div>
                    </div>
                    <div class="col-sm">
                        <div class="form-check"
                            v-for="item in data.equipment.slice(Math.ceil(data.equipment.length / 2))">
                            <input class="form-check-input" type="checkbox" value="">
                            <label class="form-check-label">{{ item }}</label>
                        </div>
                    </div>
                </div>
            </form>
            <hr>
        </span>

        <span v-if="data.map">
            <div class="row" id="Map">
                <div class="col-sm">
                    <h4>Mapa</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-sm">
                    <iframe style="border:none" v-bind:src="data.map" width="100%" height="500px"
                        frameborder="0"></iframe>
                </div>
            </div>
        </span>
    </div>

    <div class="jumbotron" style="margin-bottom:0">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-sm">
                    <ul>
                        <li v-for="link in data.links"><a v-bind:href="link.url">{{ link.title }}</a></li>
                    </ul>
                </div>
                <div class="col-sm" id="Contact">
                    <p>{{ data.contact.name }}</p>
                    <p>{{ data.contact.phone }}</p>
                    <p>{{ data.contact.email }}</p>
                </div>
            </div>
        </div>
    </div>
    </div>

    <script src="app.js"></script>

</html>